curl --request POST \
--url https://api.twexapi.io/twitter/tweets/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tweet_content": "Hello, Twitter! 🐦",
"cookie": "ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7",
"media_url": "https://example.com/image.jpg",
"media_urls": [
"https://example.com/image1.jpg",
"https://example.com/image2.jpg"
],
"delegated_account_username": "elonmusk",
"schedule": "2024-01-01T12:00:00Z",
"reply_tweet_id": "1234567890123456789",
"community_name": "Python Developers or 1234567890123456789",
"proxy": "http://username:password@ip:port"
}
'import requests
url = "https://api.twexapi.io/twitter/tweets/create"
payload = {
"tweet_content": "Hello, Twitter! 🐦",
"cookie": "ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7",
"media_url": "https://example.com/image.jpg",
"media_urls": ["https://example.com/image1.jpg", "https://example.com/image2.jpg"],
"delegated_account_username": "elonmusk",
"schedule": "2024-01-01T12:00:00Z",
"reply_tweet_id": "1234567890123456789",
"community_name": "Python Developers or 1234567890123456789",
"proxy": "http://username:password@ip:port"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tweet_content: 'Hello, Twitter! 🐦',
cookie: 'ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7',
media_url: 'https://example.com/image.jpg',
media_urls: ['https://example.com/image1.jpg', 'https://example.com/image2.jpg'],
delegated_account_username: 'elonmusk',
schedule: '2024-01-01T12:00:00Z',
reply_tweet_id: '1234567890123456789',
community_name: 'Python Developers or 1234567890123456789',
proxy: 'http://username:password@ip:port'
})
};
fetch('https://api.twexapi.io/twitter/tweets/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"msg": "success",
"data": {
"tweet_id": "1234567890123456789",
"user_id": "1234567890",
"code": 200
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Create a Tweet or Reply
Posts a new tweet. To create a reply, provide the reply_tweet_id. This endpoint does not handle quote tweets,$0.0025 per call.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Parameters for posting a tweet
Content of the tweet to post
"Hello, Twitter! 🐦"
Twitter authentication cookie or Twitter auth_token, how-to-get-twitter-cookie
"ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7"
Single media URL (backward compatible). Prefer media_urls for multiple images.
"https://example.com/image.jpg"
Media URLs to attach (max 4 images). Cannot mix with video.
4[
"https://example.com/image1.jpg",
"https://example.com/image2.jpg"
]
delegated account username
"elonmusk"
Schedule time for the tweet in ISO format
"2024-01-01T12:00:00Z"
ID of tweet to reply to
"1234567890123456789"
Name of Twitter community to post in or community id
"Python Developers or 1234567890123456789"
The proxy to use.Please use high-quality residential proxies and avoid free proxies.Required.Example: http://username:password@ip:port [blocked] . You can get proxy from: https://app.proxy-cheap.com/r/qiMxub
"http://username:password@ip:port"